> ## Documentation Index
> Fetch the complete documentation index at: https://docs.menuia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Informações do Agente

## Descrição

Este endpoint permite obter informações detalhadas de um agente de IA específico, utilizando o `id` do agente e a chave de autenticação.

### Parâmetros

<ParamField path="id" type="string" required>
  ID do agente de IA que será consultado.
</ParamField>

<ParamField query="authkey" type="string" required>
  Chave de autenticação da conta.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://chatbot.menuia.com/api/v2/ia/123?authkey=SUA_AUTHKEY_AQUI" \
    -H "Content-Type: application/json"
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://chatbot.menuia.com/api/v2/ia/123?authkey=SUA_AUTHKEY_AQUI', {
    method: 'GET',
    headers: { 'Content-Type': 'application/json' }
  });
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      'https://chatbot.menuia.com/api/v2/ia/123',
      params={
          'authkey': 'SUA_AUTHKEY_AQUI'
      }
  )
  ```

  ```php PHP theme={null}
  $response = Http::get('https://chatbot.menuia.com/api/v2/ia/123', [
      'authkey' => 'SUA_AUTHKEY_AQUI'
  ]);
  ```
</RequestExample>

<ResponseExample>
  ```json 200 - Sucesso theme={null}
  {
    "status": 200,
    "data": {
      "id": 123,
      "agent_name": "Meu Agente de IA",
      "device": "SUA_APPKEY_AQUI",
      "webhook": "https://seu-webhook.com/endpoint",
      "voice": "default",
      "work_days": ["monday", "tuesday", "wednesday", "thursday", "friday"],
      "system": "Você é um assistente prestativo.",
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z"
    }
  }
  ```

  ```json 401 - Erro de validação theme={null}
  {
    "status": 401,
    "message": "validation.required"
  }
  ```

  ```json 404 - Agente não encontrado theme={null}
  {
    "status": 404,
    "message": "Agente de IA não encontrado."
  }
  ```
</ResponseExample>
